Bug 8507 - smbd doesn't correctly honor the "force create mode" bits from a cifsfs create.
smbd doesn't correctly honor the "force create mode" bits from a cifsfs create.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-10-04 21:43 UTC by Jeremy Allison
Modified: 2011-10-08 18:08 UTC (History)
0 users

See Also:


Attachments
git-am fix for 3.6.1 (1.68 KB, patch)
2011-10-04 23:39 UTC, Jeremy Allison
gd: review+
Details
git-am fix for 3.5.x. (1.47 KB, patch)
2011-10-04 23:41 UTC, Jeremy Allison
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-10-04 21:43:16 UTC
Found by guenther. Code in open_file_ntcreate() manipulates the incoming posix bits when it shouldn't.

Patch in master to follow.

Jeremy.
Comment 1 Jeremy Allison 2011-10-04 23:39:40 UTC
Created attachment 6973 [details]
git-am fix for 3.6.1

Guenther, here is the patch for 3.6.1. Please +1 and I'll re-assign to Karolin for inclusion.
Comment 2 Jeremy Allison 2011-10-04 23:41:51 UTC
Created attachment 6974 [details]
git-am fix for 3.5.x.

git-am fix for 3.5.x.
Comment 3 Guenther Deschner 2011-10-05 00:57:39 UTC
Comment on attachment 6974 [details]
git-am fix for 3.5.x.

looka good
Comment 4 Guenther Deschner 2011-10-05 00:58:00 UTC
Comment on attachment 6973 [details]
git-am fix for 3.6.1

looks good
Comment 5 Guenther Deschner 2011-10-05 00:58:30 UTC
Karolin, please add to 3.5.x and 3.6.1.

Thanks!

Guenther
Comment 6 Karolin Seeger 2011-10-08 18:08:01 UTC
Pushed to v3-5-test and v3-6-test.
Closing out bug report.

Thanks!